import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "opportunitystatetabview": {
            "title": "商机状态分页视图",
            "caption": "商机",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityStateTabView",
            "viewtag": "00367e275947880480763049e5c495be"
        },
        "productsubstituteeditview": {
            "title": "产品关系编辑视图",
            "caption": "产品替换",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductSubstituteEditView",
            "viewtag": "00b46653e7146942634692ebe4fb43eb"
        },
        "salesliteraturesummaryview": {
            "title": "销售宣传资料数据看板视图",
            "caption": "销售宣传资料",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureSummaryView",
            "viewtag": "00e76d9dd6b3065c8231e9dc15334d05"
        },
        "salesorderstatetabview": {
            "title": "订单状态分页视图",
            "caption": "订单",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderStateTabView",
            "viewtag": "00e8e9d547a2367a0e13e232ea85b920"
        },
        "contacteditabstract": {
            "title": "联系人选项操作视图",
            "caption": "摘要信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditAbstract",
            "viewtag": "016506dd3f47a5cf8530f2ca3dbdc7b7"
        },
        "accountsummary": {
            "title": "客户概览",
            "caption": "客户概览",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "AccountSummary",
            "viewtag": "016e75bb460270519a0ee9dda57b2c90"
        },
        "invoiceeditview": {
            "title": "发票编辑视图",
            "caption": "发票",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceEditView",
            "viewtag": "01c28e25ad9d42977cb91ee890731b64"
        },
        "invoicestatetabview": {
            "title": "发票状态分页视图",
            "caption": "发票",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceStateTabView",
            "viewtag": "02131b45343ed8c70e500cd8ac520361"
        },
        "contactgridview": {
            "title": "联系人信息",
            "caption": "联系人信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactGridView",
            "viewtag": "0326a502bb574cddc41da4323786dcb5"
        },
        "accountinnerpickupview": {
            "title": "客户数据选择视图",
            "caption": "客户",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInnerPickupView",
            "viewtag": "054fb10ed157549dc619f06af1c21a31"
        },
        "contacteditmarket": {
            "title": "联系人选项操作视图",
            "caption": "市场营销信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditMarket",
            "viewtag": "0572fab51a094f738d0b1f41c3b78988"
        },
        "incidentcustomerpickupview": {
            "title": "客户",
            "caption": "客户",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentCustomerPickupView",
            "viewtag": "05d66c9ecb6eeb18a00a23cca19bf042"
        },
        "incidenteditview": {
            "title": "案例编辑视图",
            "caption": "案例",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentEditView",
            "viewtag": "06c6da1c8093784a9e76e1ccc52231b7"
        },
        "ibizlistoptionview": {
            "title": "市场营销列表选项操作视图",
            "caption": "摘要信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListOptionView",
            "viewtag": "0707e5c30c6ebfff55c733f4185d212e"
        },
        "productassociationeditview": {
            "title": "产品关联编辑视图",
            "caption": "产品关联",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductAssociationEditView",
            "viewtag": "070af269c3f5741163950bc770637f18"
        },
        "campaigninfo_head": {
            "title": "头信息",
            "caption": "头信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignInfo_Head",
            "viewtag": "072d39d4184205e68a5c66fabe32b55e"
        },
        "campaigngridview": {
            "title": "市场活动信息",
            "caption": "市场活动",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignGridView",
            "viewtag": "07c5035fbb847e889f3dbb9657723f30"
        },
        "salesorderedit_datapanelview": {
            "title": "头部信息编辑",
            "caption": "订单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderEdit_DataPanelView",
            "viewtag": "07e302308381c2bc8f62fac18515f689"
        },
        "accountbyparentkey": {
            "title": "客户表格视图",
            "caption": "客户信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountByParentKey",
            "viewtag": "08e0772f0c42c435525ed40425ae4661"
        },
        "entitlementpickupview": {
            "title": "权利数据选择视图",
            "caption": "权利",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Service",
            "viewname": "EntitlementPickupView",
            "viewtag": "0dff48c04927315f77dd70a9a2767b59"
        },
        "contacttabexpview": {
            "title": "联系人",
            "caption": "联系人",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "ContactTabExpView",
            "viewtag": "0e4d8b949764a2c40c2b93261aed6fd8"
        },
        "quotedetaileditview": {
            "title": "报价单产品编辑视图",
            "caption": "报价单产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteDetailEditView",
            "viewtag": "0f4dc7da727ad15a2cad62fe966a633c"
        },
        "invoicequickcreateview": {
            "title": "快速新建",
            "caption": "发票",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceQuickCreateView",
            "viewtag": "0fc09bf520af62b4d89aef845fc72636"
        },
        "salesordereditview": {
            "title": "订单编辑视图",
            "caption": "订单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderEditView",
            "viewtag": "0ff3eacd51054572cf899247b1c57018"
        },
        "salesliteratureinfoview": {
            "title": "销售宣传资料信息",
            "caption": "销售宣传资料",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureInfoView",
            "viewtag": "10a21b9907d91ab1764c82df73571709"
        },
        "campaignresponsebyparentkey": {
            "title": "市场活动响应表格视图",
            "caption": "市场活动响应",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignResponseByParentKey",
            "viewtag": "10c5d33db64f3a1bda18c7571a679438"
        },
        "productassociationgridview": {
            "title": "产品关联表格视图",
            "caption": "产品关联",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductAssociationGridView",
            "viewtag": "126557fa1bd6d770b471b1c9d211f07c"
        },
        "quotegridview": {
            "title": "报价单信息",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteGridView",
            "viewtag": "14110058a29397ea9ac7d4e86a3994ca"
        },
        "campaigninfo_campagin": {
            "title": "活动信息",
            "caption": "活动信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignInfo_Campagin",
            "viewtag": "144fa4796e1efccbfeb7f373d4c0bebb"
        },
        "invoicebyparentkey": {
            "title": "发票信息",
            "caption": "发票",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceByParentKey",
            "viewtag": "153e64e9763c797b19e261e8db1dafd3"
        },
        "leadgridview": {
            "title": "潜在顾客信息",
            "caption": "潜在顾客信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadGridView",
            "viewtag": "15d12c1173fcb6e742b6a6d92cbc53ed"
        },
        "connectionrolepickupgridview": {
            "title": "连接角色选择表格视图",
            "caption": "连接角色",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Runtime",
            "viewname": "ConnectionRolePickupGridView",
            "viewtag": "15db0c1d3cde0af58d2c9a4e874d9d01"
        },
        "competitoroptionview": {
            "title": "竞争对手选项操作视图",
            "caption": "竞争对手",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorOptionView",
            "viewtag": "172607e680c007004183ab01c1a674d6"
        },
        "opportunitysummary": {
            "title": "商机概览",
            "caption": "商机概览",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunitySummary",
            "viewtag": "177c00d1674621e8933efe6db68bce0e"
        },
        "entitlementpickupgridview": {
            "title": "权利选择表格视图",
            "caption": "权利",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "EntitlementPickupGridView",
            "viewtag": "190c4bc310209f379ac5d63277dac0a5"
        },
        "subjectpickupgridview": {
            "title": "主题选择表格视图",
            "caption": "主题",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "SubjectPickupGridView",
            "viewtag": "19e1193c4075ae18f2f29095bb8841fa"
        },
        "salesliteratureitemgridview": {
            "title": "销售附件表格视图",
            "caption": "销售附件",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureItemGridView",
            "viewtag": "1bc1e98908024887f7476018b9e314d1"
        },
        "leadpickupview": {
            "title": "潜在顾客数据选择视图",
            "caption": "潜在顾客",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadPickupView",
            "viewtag": "1bc48b15dbe69c5f30dafe489f58aacb"
        },
        "campaignpanelview": {
            "title": "市场活动面板视图",
            "caption": "市场活动",
            "viewtype": "DEPANELVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignPanelView",
            "viewtag": "1bcb965f185e7b90095b7e17b1ef3038"
        },
        "accountinfo_account": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo_Account",
            "viewtag": "1d3b94223a5d3f8ab1d2fe334c8c4afd"
        },
        "multipickdataac": {
            "title": "负责人",
            "caption": "负责人",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "MultiPickDataAC",
            "viewtag": "1d816f2c0db6c1a75aeea21468a90462"
        },
        "productpricelevelproprilveditview": {
            "title": "产品价目表项",
            "caption": "价目表项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductPriceLevelProPrilvEditView",
            "viewtag": "2100f4eccfde24bb1307d636c396d51f"
        },
        "salesorderfinishgridview": {
            "title": "订单信息",
            "caption": "订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderFinishGridView",
            "viewtag": "21c30b09fecb0ca2979cf270e3c8b5db"
        },
        "contactinfo_person": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactInfo_Person",
            "viewtag": "21eb3cee3363f2590cf0cf6af8446300"
        },
        "incidentedit_chlidincident": {
            "title": "子案例信息",
            "caption": "案例",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentEdit_ChlidIncident",
            "viewtag": "2419ef8b89f0de40c9daa19acacbd706"
        },
        "uomschedulepickupview": {
            "title": "计价单位组数据选择视图",
            "caption": "计价单位组",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "UomSchedulePickupView",
            "viewtag": "241c1fe99d6b6b99ad2888762140837a"
        },
        "ibizlistgridview": {
            "title": "市场营销列表信息",
            "caption": "市场营销列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListGridView",
            "viewtag": "24a93674ec4c976c08902a3e95421ca6"
        },
        "activitypointereditview": {
            "title": "活动编辑视图",
            "caption": "活动",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerEditView",
            "viewtag": "24e222a530526aab94ed4ed22cfedf9a"
        },
        "accountstatustabview": {
            "title": "客户",
            "caption": "客户",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountStatusTabView",
            "viewtag": "25bf5f8c2ebd1ce2be6d06717ed08a96"
        },
        "campaignactivityquickcreate": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignActivityQuickCreate",
            "viewtag": "264e13762a19c63707b3aa5718afa303"
        },
        "goalpickupview": {
            "title": "目标数据选择视图",
            "caption": "目标",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalPickupView",
            "viewtag": "2665d630c1446030eab8f52c5ebca818"
        },
        "incidentbyparentkey": {
            "title": "服务案例信息",
            "caption": "案例",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentByParentKey",
            "viewtag": "26e0707950d8676b9a9363c6bc46ee89"
        },
        "accountpickupview": {
            "title": "客户数据选择视图",
            "caption": "客户",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountPickupView",
            "viewtag": "29bfcd628ab25e297248ff0524d12908"
        },
        "quotesummary": {
            "title": "报价单数据看板视图",
            "caption": "报价单",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteSummary",
            "viewtag": "2ac0427fe43e02ce2aade11aad712eb5"
        },
        "productinfoview": {
            "title": "产品信息",
            "caption": "产品",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Product",
            "viewname": "ProductInfoView",
            "viewtag": "2ac7842ebbc9cb4c0d523ffaf94df3db"
        },
        "contactinfo_book": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactInfo_Book",
            "viewtag": "2b787c59ba090b37b9a1ba8f8ba045b4"
        },
        "invoicedetailinvoiceprogridview": {
            "title": "发票产品表格视图",
            "caption": "发票产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceDetailInvoiceProGridView",
            "viewtag": "2bb0e34c7ae753e03404e4d96b17e90c"
        },
        "listleadbylist": {
            "title": "营销列表-潜在客户（根据营销列表）",
            "caption": "潜在客户",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "ListLeadByList",
            "viewtag": "2c6be792e84450585986e22f75dffa52"
        },
        "goalpickupgridview": {
            "title": "目标选择表格视图",
            "caption": "目标",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalPickupGridView",
            "viewtag": "2d001ccdcb51e48a9d4273278b26d782"
        },
        "discounttypepickupgridview": {
            "title": "折扣表选择表格视图",
            "caption": "折扣表",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "DiscountTypePickupGridView",
            "viewtag": "2d955c4717c71ba3a811efa464f1b9f4"
        },
        "leadeditview": {
            "title": "潜在顾客编辑视图",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadEditView",
            "viewtag": "2e17cb1d009dd49ac529319ac15319cd"
        },
        "accountinfo": {
            "title": "客户信息",
            "caption": "客户信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo",
            "viewtag": "2e9c7792c3a728896ca8902634f71983"
        },
        "ibizlistinfo_abstract": {
            "title": "市场营销列表编辑视图",
            "caption": "市场营销列表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListInfo_Abstract",
            "viewtag": "2eba43abd437c023437f1f2effb1fccb"
        },
        "goalstatetabview": {
            "title": "目标分页状态",
            "caption": "目标",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalStateTabView",
            "viewtag": "2f0540af5db76052cee0e8e91f0204c4"
        },
        "salesliteratureeditview": {
            "title": "销售宣传资料编辑视图",
            "caption": "销售宣传资料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureEditView",
            "viewtag": "303fcfed216ca770612be2c0a97be789"
        },
        "campaignactivityeditview": {
            "title": "市场活动项目编辑视图",
            "caption": "市场活动项目",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignActivityEditView",
            "viewtag": "30458f00562fda145be535e56948b067"
        },
        "multipickdataacgrid": {
            "title": "负责人（客户、联系人）表格",
            "caption": "多类选择实体",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "MultiPickDataACGrid",
            "viewtag": "30f3fc1e50e20f8330c255ae85dca393"
        },
        "listcontactgridview": {
            "title": "营销列表-联系人表格视图",
            "caption": "营销列表-联系人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "ListContactGridView",
            "viewtag": "3124753ba4abff3aaf49355a5197c4ab"
        },
        "accountinfo_all": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo_All",
            "viewtag": "31f2ad06ced735d250dfa5f309b5aea4"
        },
        "leadstatustabview": {
            "title": "潜在顾客",
            "caption": "潜在顾客",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadStatusTabView",
            "viewtag": "3202f3f503424c7a2c549b2c5186dc36"
        },
        "competitorproductedit_compproview": {
            "title": "竞争对手产品信息",
            "caption": "竞争对手产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorProductEdit_CompProView",
            "viewtag": "321c9f14181d1afaf18a8ffacea2a29f"
        },
        "leadinfo": {
            "title": "潜在顾客",
            "caption": "潜在顾客",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadInfo",
            "viewtag": "35728a12ceecb647982051842853547c"
        },
        "quoteeffectivegridview": {
            "title": "报价单信息",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteEffectiveGridView",
            "viewtag": "37891b1dd5782b30f30e3253298ba0f2"
        },
        "incidentgridview": {
            "title": "服务案例信息",
            "caption": "案例",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentGridView",
            "viewtag": "3a665de6a3970b95fde436c0fea4b1df"
        },
        "competitorinfo_abstract": {
            "title": "竞争对手编辑视图",
            "caption": "竞争对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorInfo_Abstract",
            "viewtag": "3b3a9dc75518028c6577a3634f853bdc"
        },
        "leadcompetitoredit_compleadview": {
            "title": "竞争对手潜在顾客信息",
            "caption": "潜在客户对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadCompetitorEdit_CompLeadView",
            "viewtag": "3bcf50e94ca826894b625ce946d9d8c8"
        },
        "productpricelevelproprilvgridview": {
            "title": "产品价目表项",
            "caption": "价目表项",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductPriceLevelProPrilvGridView",
            "viewtag": "3c8bbe79d569f27ef675664d32a91c0d"
        },
        "connectionrolegridview": {
            "title": "连接角色",
            "caption": "连接角色",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Runtime",
            "viewname": "ConnectionRoleGridView",
            "viewtag": "3cac572b3a6905293a0e22e3f3fa3c04"
        },
        "contactinfo_abstract": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactInfo_Abstract",
            "viewtag": "3cf1d1097fdbdea6d7fb32cf7ff09d04"
        },
        "competitorsalesliteraturesallitcompgridview": {
            "title": "宣传资料竞争对手明细",
            "caption": "竞争对手宣传资料",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorSalesLiteratureSalLitCompGridView",
            "viewtag": "3d0f1bced23c2757ff4de58b146c2e6e"
        },
        "lettereditview": {
            "title": "信件编辑视图",
            "caption": "信件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "LetterEditView",
            "viewtag": "3d538df4ca389d372347f7b53d67269f"
        },
        "competitorpickupgridview": {
            "title": "竞争对手选择表格视图",
            "caption": "竞争对手",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorPickupGridView",
            "viewtag": "3de13dd6914e2465d23dab68ccea5cae"
        },
        "faxeditview": {
            "title": "传真编辑视图",
            "caption": "传真",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "FaxEditView",
            "viewtag": "3f78dcc732a7a8ba6d959dcf6007b225"
        },
        "quoteinfoabstract": {
            "title": "报价单编辑视图",
            "caption": "报价单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteInfoAbstract",
            "viewtag": "4024b6fdff9a452e0ff55401498fbb51"
        },
        "campaigneditview": {
            "title": "市场活动编辑视图",
            "caption": "市场活动",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignEditView",
            "viewtag": "41bf6f27bc4248555f1b51ebcaffad1c"
        },
        "productinfo_proinfo": {
            "title": "产品编辑视图",
            "caption": "产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductInfo_ProInfo",
            "viewtag": "41e012bf9b91b39e4a30072986b7c11e"
        },
        "goalinfo_goalview": {
            "title": "目标信息视图",
            "caption": "目标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalInfo_GoalView",
            "viewtag": "42dfdbed522e32b0efd03a9402ae29f8"
        },
        "listaccountinner": {
            "title": "营销列表-账户表格视图",
            "caption": "营销列表-账户",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Marketing",
            "viewname": "ListAccountInner",
            "viewtag": "44a690a1d62a390708480cb43f67d98b"
        },
        "connectionbyparentkey": {
            "title": "连接表格视图",
            "caption": "连接",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Runtime",
            "viewname": "ConnectionByParentKey",
            "viewtag": "44f1244c0a9e78981a151dc7f247e867"
        },
        "activitypointergridview": {
            "title": "活动",
            "caption": "活动信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerGridView",
            "viewtag": "45fdc8ee4d1401d2d625e80177395ddc"
        },
        "accounttreegridexview": {
            "title": "客户树表格视图",
            "caption": "客户",
            "viewtype": "DETREEGRIDEXVIEW",
            "viewmodule": "Base",
            "viewname": "AccountTreeGridExView",
            "viewtag": "4643000e02b7f39e4302c8e529ba096d"
        },
        "leadquickcreate": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadQuickCreate",
            "viewtag": "4745ca10fe4421ea043cb9ace1840224"
        },
        "listaccountbylist": {
            "title": "营销列表-账户表格视图",
            "caption": "营销列表-账户",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "ListAccountByList",
            "viewtag": "4799b0e7139b537ebe9313a004daa0ac"
        },
        "invoicedetaileditview": {
            "title": "发票产品编辑视图",
            "caption": "发票产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceDetailEditView",
            "viewtag": "485d1a17354fe57fd79dde512adb715b"
        },
        "listaccounteditview": {
            "title": "营销列表-账户编辑视图",
            "caption": "营销列表-账户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "ListAccountEditView",
            "viewtag": "49dc1a714631338858cd0441f6c720ca"
        },
        "leadinfo_market": {
            "title": "潜在顾客编辑视图",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadInfo_Market",
            "viewtag": "49e5e89fb51fa9929925b532841b2549"
        },
        "leadongridview": {
            "title": "潜在顾客信息",
            "caption": "潜在顾客信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadOnGridView",
            "viewtag": "4ab71df980f390b6663b8912f64ede02"
        },
        "salesorderinfoview": {
            "title": "订单信息",
            "caption": "订单",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderInfoView",
            "viewtag": "4f45c8798db273fefeef7c02541fab6c"
        },
        "opportunityconoppgridview": {
            "title": "商机表格视图",
            "caption": "商机信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityConOppGridView",
            "viewtag": "50138c2b066081ec8b6fe67c88af5371"
        },
        "leadedit_datapanelview": {
            "title": "头部信息编辑",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadEdit_DataPanelView",
            "viewtag": "50fa6dc3108b1959155c8092331dd8a7"
        },
        "campaignsummary_head": {
            "title": "市场活动概览",
            "caption": "市场活动概览",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignSummary_Head",
            "viewtag": "51785f69973d8e6b0b1e002a03626fc7"
        },
        "quotewingridview": {
            "title": "报价单信息",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteWinGridView",
            "viewtag": "518ac41fb3973a5f49f73e4a2c3f6681"
        },
        "goalinfoview": {
            "title": "目标信息",
            "caption": "目标",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalInfoView",
            "viewtag": "521acee07c15c72e914d3ca538cb26fc"
        },
        "incidentquickcreateview": {
            "title": "快速新建",
            "caption": "案例",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentQuickCreateView",
            "viewtag": "540213698dac06ea2ef3193da7fe9b11"
        },
        "campaignedit_head": {
            "title": "编辑_头信息",
            "caption": "编辑_头信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignEdit_Head",
            "viewtag": "546a88448f9751bcbfb37734514ef2d8"
        },
        "producteditview": {
            "title": "产品编辑视图",
            "caption": "产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductEditView",
            "viewtag": "573c48d02ab5eef37c4cf701be87fcb5"
        },
        "campaignactivitybyparentkey": {
            "title": "市场活动项目表格视图",
            "caption": "市场活动项目",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignActivityByParentKey",
            "viewtag": "5894d33141cc9c307a54134def213332"
        },
        "opportunityproducteditview": {
            "title": "商机产品编辑视图",
            "caption": "商机产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityProductEditView",
            "viewtag": "599da9d1e5d8054bb86ce61abeb78189"
        },
        "invoicepaidgridview": {
            "title": "发票信息",
            "caption": "发票",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoicePaidGridView",
            "viewtag": "5c3ef659dc4205cfed28ea4bcbd54cf8"
        },
        "accountgridview": {
            "title": "客户表格视图",
            "caption": "客户信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountGridView",
            "viewtag": "5c7e90ccfaeb49b5bd84ae6c17b479e3"
        },
        "opportunitycompetitoroppcompgridview": {
            "title": "商机对手表格视图",
            "caption": "商机对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityCompetitorOppCompGridView",
            "viewtag": "5de2a290b5d079445ad825f6d6418dd6"
        },
        "opportunitygridview": {
            "title": "商机信息",
            "caption": "商机信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityGridView",
            "viewtag": "5f8f689d5dccc3db6d2b74a24a8b24ef"
        },
        "metricpickupgridview": {
            "title": "目标度量选择表格视图",
            "caption": "目标度量",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "MetricPickupGridView",
            "viewtag": "608465e93c2380e11af68052a17d6144"
        },
        "contactinfo_market": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactInfo_Market",
            "viewtag": "615ceb2945e3cfe7404850aeadae188d"
        },
        "contactsummaryview": {
            "title": "联系人数据看板视图",
            "caption": "联系人",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "ContactSummaryView",
            "viewtag": "6168a7e787ead13b1e0f9a55007bc68c"
        },
        "invoicecancelgridview": {
            "title": "发票信息",
            "caption": "发票",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceCancelGridView",
            "viewtag": "62f0fc5ca41b7b5ba3d04b26b14f537e"
        },
        "goalgridview": {
            "title": "目标信息",
            "caption": "目标",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalGridView",
            "viewtag": "631a4276161c551802f3aaf4bd7e607c"
        },
        "contactstopgridview": {
            "title": "联系人信息",
            "caption": "联系人信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactStopGridView",
            "viewtag": "64d89dce67b0136bef31d6ff25eeb89a"
        },
        "campaignlistgridview": {
            "title": "市场活动-营销列表表格视图",
            "caption": "市场活动-营销列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignListGridView",
            "viewtag": "661e0045037121d27f78b71049dc0d8a"
        },
        "opportunityinfo_abstract": {
            "title": "商机编辑视图",
            "caption": "商机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityInfo_Abstract",
            "viewtag": "66b3d6f7e15711b61132066ba3a95f91"
        },
        "goalsummaryview": {
            "title": "目标数据看板视图",
            "caption": "目标",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalSummaryView",
            "viewtag": "674522952049a4e85508a1f9f3642d80"
        },
        "accountedit_accountinfo": {
            "title": "账户信息",
            "caption": "账户信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEdit_AccountInfo",
            "viewtag": "688201ee5642d41628dbf4deba002d17"
        },
        "campaigninfo_manager": {
            "title": "管理信息",
            "caption": "管理信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignInfo_Manager",
            "viewtag": "697373026d90700244354625e1d01cc2"
        },
        "accountgradation": {
            "title": "客户关系导航",
            "caption": "客户关系导航",
            "viewtype": "DETREEEXPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountGradation",
            "viewtag": "6978259896338a7ace85a9fbc5d70395"
        },
        "accountedit_datapanel": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEdit_DataPanel",
            "viewtag": "6ab7d7604dbd53cc5b469aa9176dcb2f"
        },
        "incidentquickcreatebyparentkey": {
            "title": "快速新建",
            "caption": "案例",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentQuickCreateByParentKey",
            "viewtag": "6b1896d002d20fec6591398a98f37e39"
        },
        "knowledgearticleincidentgridview": {
            "title": "知识文章事件表格视图",
            "caption": "知识文章事件",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "KnowledgeArticleIncidentGridView",
            "viewtag": "6c17740cc21fd25906f3feeec10a454a"
        },
        "opportunityproductopp_oppprogridview": {
            "title": "商机产品表格视图",
            "caption": "商机产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityProductOpp_OppProGridView",
            "viewtag": "6c67094479c2f8af7ea1575eee584056"
        },
        "transactioncurrencypickupgridview": {
            "title": "货币选择表格视图",
            "caption": "货币",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "TransactionCurrencyPickupGridView",
            "viewtag": "6d8a2615030eed5779caea69f7f001aa"
        },
        "accountusablegridview": {
            "title": "客户表格视图",
            "caption": "客户信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountUsableGridView",
            "viewtag": "6d920bddee09ffdf2e18a0701ab9e9e7"
        },
        "opportunitypickupview": {
            "title": "商机数据选择视图",
            "caption": "商机",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityPickupView",
            "viewtag": "6debde861c6e6f91eeb442cb869e9737"
        },
        "accounteditview": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEditView",
            "viewtag": "6e18ac74e5685439110f9b4e534ee005"
        },
        "opportunitypickupgridview": {
            "title": "商机选择表格视图",
            "caption": "商机",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityPickupGridView",
            "viewtag": "6e866e05730d8c3e03f150a33225307d"
        },
        "competitoredit_datapanelview": {
            "title": "头部信息编辑",
            "caption": "竞争对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorEdit_DataPanelView",
            "viewtag": "6f2e9be27a6026ea1b35f6b54101cd21"
        },
        "leadconleadgridview": {
            "title": "潜在顾客信息",
            "caption": "潜在顾客信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadConLeadGridView",
            "viewtag": "6f35f461b53398775ff2f1a563776fa3"
        },
        "accountinnerpickupgridview": {
            "title": "客户选择表格视图",
            "caption": "客户",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInnerPickupGridView",
            "viewtag": "7217511947b8833ba5683e54c06b0271"
        },
        "accountinfo_introduction": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo_Introduction",
            "viewtag": "73bb9f7e653384ca09f8bbbfd580d892"
        },
        "connectionroleeditview": {
            "title": "连接角色",
            "caption": "连接角色",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Runtime",
            "viewname": "ConnectionRoleEditView",
            "viewtag": "73cfeee47b3d8226faade73f93a2097c"
        },
        "leadcompetitorcompleadgridview": {
            "title": "竞争对手潜在顾客信息",
            "caption": "潜在客户对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadCompetitorCompLeadGridView",
            "viewtag": "74d764142f94fb7dafabc018c953002c"
        },
        "contacteditaddress": {
            "title": "联系人选项操作视图",
            "caption": "地址信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditAddress",
            "viewtag": "75b6e6474d2b1adcae64bafd60edb618"
        },
        "invoicesummaryview": {
            "title": "发票数据看板视图",
            "caption": "发票",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceSummaryView",
            "viewtag": "77ef5d53fe0cadbe03c9d2f9d25c804b"
        },
        "goaleditview": {
            "title": "目标编辑视图",
            "caption": "目标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalEditView",
            "viewtag": "7877d7e7e55fe21f48e8382e07579f33"
        },
        "quoteoppquagridview": {
            "title": "报价单表格视图",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteOppQuaGridView",
            "viewtag": "78862ad65295f145e7520291f1183604"
        },
        "contactedit_datapanelview": {
            "title": "头部信息编辑",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEdit_DataPanelView",
            "viewtag": "791f1cf310878383aaec921c83adb1d5"
        },
        "leadinfo_contact": {
            "title": "潜在顾客信息",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadInfo_Contact",
            "viewtag": "795099de0273f3172b18315bc3dae5e1"
        },
        "salesordercancelgridview": {
            "title": "订单信息",
            "caption": "订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderCancelGridView",
            "viewtag": "7a406a001b323adf49ae7f63ee53b21b"
        },
        "campaignresponsequickcreate": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignResponseQuickCreate",
            "viewtag": "7b7560b6d508b7bb0447d3204ed1c8be"
        },
        "quotebyparentkey": {
            "title": "报价单信息",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteByParentKey",
            "viewtag": "7b8b062c86b8e62d907ccbd467bb7ac6"
        },
        "opportunityeditview": {
            "title": "商机编辑视图",
            "caption": "商机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityEditView",
            "viewtag": "7bf35293fd1d9db7816755a74c4d575e"
        },
        "incidentpickupgridview": {
            "title": "案例选择表格视图",
            "caption": "案例",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentPickupGridView",
            "viewtag": "7cd4753a46e288fc3bac3a4d6b08c8d1"
        },
        "leadpickupgridview": {
            "title": "潜在顾客选择表格视图",
            "caption": "潜在顾客",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadPickupGridView",
            "viewtag": "7d00f63c306adf3537efeabb3326095d"
        },
        "productsummaryview": {
            "title": "产品数据看板视图",
            "caption": "产品",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Product",
            "viewname": "ProductSummaryView",
            "viewtag": "7d6cff9fab81efce5b7dbc0ae11d3c15"
        },
        "uomschedulepickupgridview": {
            "title": "计价单位组选择表格视图",
            "caption": "计价单位组",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "UomSchedulePickupGridView",
            "viewtag": "7decb196037249b909762c9142adfe91"
        },
        "knowledgearticleincidenteditview": {
            "title": "知识文章事件编辑视图",
            "caption": "知识文章事件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "KnowledgeArticleIncidentEditView",
            "viewtag": "7e6f9ab9d51be22efda1567e58cb29a2"
        },
        "centeralportal": {
            "title": "仪表盘",
            "caption": "仪表盘",
            "viewtype": "APPPORTALVIEW",
            "viewmodule": "Ungroup",
            "viewname": "CenteralPortal",
            "viewtag": "7FCD2E75-E34A-493C-922E-8AE47BCE08CA"
        },
        "campaignquickcreateview": {
            "title": "快速新建",
            "caption": "市场活动",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignQuickCreateView",
            "viewtag": "8206069d9567cbc0a06e441869343819"
        },
        "ibizlistquickcreate": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListQuickCreate",
            "viewtag": "8332d2ba99d5a618d1ab69f45ce689f5"
        },
        "contactpickupgridview": {
            "title": "联系人选择表格视图",
            "caption": "联系人",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactPickupGridView",
            "viewtag": "85781d107d628dfc6cdf9693797f073e"
        },
        "metriceditview": {
            "title": "目标度量信息",
            "caption": "目标度量",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "MetricEditView",
            "viewtag": "8764cc6860a8981a549fcf693bbc44f6"
        },
        "knowledgearticlegridview": {
            "title": "知识文章信息",
            "caption": "知识文章",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "KnowledgeArticleGridView",
            "viewtag": "8895fef7ce4f5bdd1cd8f950bd1f8bcc"
        },
        "taskquickcreate": {
            "title": "快速新建：任务",
            "caption": "快速新建：任务",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "TaskQuickCreate",
            "viewtag": "893e62d6fbdc4580de7e3e802aec9108"
        },
        "activitypointerredirectview": {
            "title": "活动数据重定向视图",
            "caption": "活动",
            "viewtype": "DEREDIRECTVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerRedirectView",
            "viewtag": "899dbdcf77250023245eb323c6cdeb05"
        },
        "central": {
            "title": "企业中心",
            "caption": "企业中心",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Base",
            "viewname": "Central",
            "viewtag": "8b173077897bf865fe035e56073b763d"
        },
        "pricelevelpickupview": {
            "title": "价目表数据选择视图",
            "caption": "价目表",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Product",
            "viewname": "PriceLevelPickupView",
            "viewtag": "8b806fb12589b2fc17d1bb90f4b5422e"
        },
        "opportunityinfo": {
            "title": "商机信息",
            "caption": "商机信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityInfo",
            "viewtag": "8bfcd7acdd1f36afc1714f1071671f2c"
        },
        "listleadquickcreatebylist": {
            "title": "快速新建（根据营销列表）",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "ListLeadQuickCreateByList",
            "viewtag": "8d3e0363ae4532310000143fd6d61aae"
        },
        "incidentcustomerpickupgridview": {
            "title": "案例客户选择表格视图",
            "caption": "案例客户",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentCustomerPickupGridView",
            "viewtag": "8dca8823a924f513bf8c52bc3d321cff"
        },
        "productsubstitutegridview": {
            "title": "产品关系表格视图",
            "caption": "产品替换",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductSubstituteGridView",
            "viewtag": "90289db866d87ff28979dfdfd2ce583d"
        },
        "salesliteraturegridview": {
            "title": "销售宣传资料信息",
            "caption": "销售宣传资料",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureGridView",
            "viewtag": "90b48a107932f432e0dde42791a51887"
        },
        "accountedit_introduction": {
            "title": "简介信息",
            "caption": "简介信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEdit_Introduction",
            "viewtag": "90cb61421b72cbc76f75360deffde218"
        },
        "campaignlisteditview": {
            "title": "市场活动-营销列表编辑视图",
            "caption": "市场活动-营销列表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignListEditView",
            "viewtag": "9107350fc58a1dba2785d2f5da8afec8"
        },
        "accountinfo_address": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo_Address",
            "viewtag": "916febbb65be1c54dd42ccb9914fe973"
        },
        "contactbyaccount": {
            "title": "联系人列表",
            "caption": "联系人列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactByAccount",
            "viewtag": "9224b0b14d2d99014e051f8035ba5cbf"
        },
        "incidentpickupview": {
            "title": "案例数据选择视图",
            "caption": "案例",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentPickupView",
            "viewtag": "922d0c8c2262ba83063f6cb3557a450b"
        },
        "accountstopgridview": {
            "title": "客户表格视图",
            "caption": "客户信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountStopGridView",
            "viewtag": "9433b49c4e43a15dfc8bbd91bdd4c27f"
        },
        "knowledgearticleinfoview": {
            "title": "知识文章信息",
            "caption": "知识文章",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "KnowledgeArticleInfoView",
            "viewtag": "944ca8c467899704e43230c16ceb650d"
        },
        "contactinfo_address": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactInfo_Address",
            "viewtag": "9475c40920701fcc382676d73832de4f"
        },
        "uompickupgridview": {
            "title": "计价单位选择表格视图",
            "caption": "计价单位",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "UomPickupGridView",
            "viewtag": "94d961edd298073d53ca3239c092fac4"
        },
        "salesordersummaryview": {
            "title": "订单数据看板视图",
            "caption": "订单",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderSummaryView",
            "viewtag": "95a02c7480abd6ddb76e14dc079f7508"
        },
        "opportunityoppprodashboardview": {
            "title": "商机数据看板视图",
            "caption": "商机",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityOppProDashboardView",
            "viewtag": "9693fc63348c320c4b0dff17cb9a9f25"
        },
        "productsalesliteraturesallitprogridview": {
            "title": "宣传资料产品明细",
            "caption": "产品宣传资料",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "ProductSalesLiteratureSalLitProGridView",
            "viewtag": "96cc644d7d763e47f3644aed0d9850f0"
        },
        "leadexcludedgridview": {
            "title": "潜在顾客信息",
            "caption": "潜在顾客信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadExcludedGridView",
            "viewtag": "976e7a90095f22af96879a4f46b79b7c"
        },
        "serviceappointmenteditview": {
            "title": "服务活动编辑视图",
            "caption": "服务活动",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "ServiceAppointmentEditView",
            "viewtag": "99d4a530c13b03a98cd143f341394354"
        },
        "quoteoptionview": {
            "title": "报价单选项操作视图",
            "caption": "报价单",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteOptionView",
            "viewtag": "9a8f1a5129b4191c2dfb20b23aeb4c7a"
        },
        "contacteditview": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditView",
            "viewtag": "9a96ebf2e57358b3590b9d4479edb77a"
        },
        "setting": {
            "title": "设置",
            "caption": "设置",
            "viewtype": "APPPORTALVIEW",
            "viewmodule": "Ungroup",
            "viewname": "Setting",
            "viewtag": "9AE386A9-53DE-4F99-BCCA-747AEFE666A4"
        },
        "metricgridview": {
            "title": "目标度量信息",
            "caption": "目标度量",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "MetricGridView",
            "viewtag": "9af073dea1ea05903d52e8bdc5a03dd5"
        },
        "knowledgearticlequickcreateview": {
            "title": "快速新建",
            "caption": "知识文章",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "KnowledgeArticleQuickCreateView",
            "viewtag": "9ba060dce370154a467bf1d804420e64"
        },
        "goaledit_childgoalview": {
            "title": "子目标信息",
            "caption": "目标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalEdit_ChildGoalView",
            "viewtag": "9be8eab621377b4bb8432a48a3f3f785"
        },
        "competitorsummary": {
            "title": "竞争对手概览",
            "caption": "竞争对手概览",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorSummary",
            "viewtag": "9bf80730e83a74615919a0f0907505d4"
        },
        "opportunitylistexpview": {
            "title": "商机信息",
            "caption": "商机信息",
            "viewtype": "DELISTEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityListExpView",
            "viewtag": "9f92696f8eeec188f5ea674b925df275"
        },
        "salesliteratureinfo_sallitview": {
            "title": "销售宣传资料编辑视图",
            "caption": "销售宣传资料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureInfo_SalLitView",
            "viewtag": "a04bb3dac3122438b3b1096f5f370516"
        },
        "ibizlistsummary": {
            "title": "市场营销列表概览",
            "caption": "市场营销列表概览",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListSummary",
            "viewtag": "a0baf844a4d48914ee2623448b1a73fb"
        },
        "metricpickupview": {
            "title": "目标度量数据选择视图",
            "caption": "目标度量",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "MetricPickupView",
            "viewtag": "a17a40c513ec2011425e9d26b6591214"
        },
        "listaccountquickcreatebylist": {
            "title": "查找客户",
            "caption": "查找客户",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Marketing",
            "viewname": "ListAccountQuickCreateByList",
            "viewtag": "a1b44c891ef0bbc073c82693d8489de6"
        },
        "productpickupgridview": {
            "title": "产品选择表格视图",
            "caption": "产品",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductPickupGridView",
            "viewtag": "a1c97c8a22bb4e7af8a0a4f28a2a6a9b"
        },
        "opportunityquickcreate": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityQuickCreate",
            "viewtag": "a243cd62accb02ceba4fb128703128f0"
        },
        "connectioneditview": {
            "title": "连接编辑视图",
            "caption": "连接",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Runtime",
            "viewname": "ConnectionEditView",
            "viewtag": "a28a28fe9c5b222ded84039205359d96"
        },
        "discounttypepickupview": {
            "title": "折扣表数据选择视图",
            "caption": "折扣表",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Sales",
            "viewname": "DiscountTypePickupView",
            "viewtag": "a417dead23bae1ec249aef3b3f313c93"
        },
        "appointmenteditview": {
            "title": "约会编辑视图",
            "caption": "约会",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AppointmentEditView",
            "viewtag": "a50134133db91e46c8434ad0ebff22c7"
        },
        "emaileditview": {
            "title": "电子邮件编辑视图",
            "caption": "电子邮件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "EmailEditView",
            "viewtag": "a5213905238dbc5d8e1a505029105cc9"
        },
        "leadinfo_company": {
            "title": "潜在顾客编辑视图",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadInfo_Company",
            "viewtag": "a53ca3c6c3f107b2d0c1a60e6ab3679e"
        },
        "ibizlisteditview": {
            "title": "市场营销列表编辑视图",
            "caption": "市场营销列表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListEditView",
            "viewtag": "a62e766e54ec0b259071463523c98493"
        },
        "accountquickcreate": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AccountQuickCreate",
            "viewtag": "a69ba7dd2f8bdac8a3c733dcc79c0ee5"
        },
        "salesorderbyparentkey": {
            "title": "订单信息",
            "caption": "订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderByParentKey",
            "viewtag": "a949aac338fd2543ae39e258573ab231"
        },
        "phonecalleditview": {
            "title": "电话联络编辑视图",
            "caption": "电话联络",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "PhoneCallEditView",
            "viewtag": "a95d7d9111bc13a8b73a11ee1e4ff92a"
        },
        "salesorderdetaileditview": {
            "title": "订单产品编辑视图",
            "caption": "订单产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderDetailEditView",
            "viewtag": "a95d8cd3d6ee3c209df519c556ef3942"
        },
        "quotedetailquodetailgridview": {
            "title": "报价单产品表格视图",
            "caption": "报价单产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteDetailQuoDetailGridView",
            "viewtag": "aa23fa84c3ac813a5ff15ae12795ca52"
        },
        "appointmentquickcreate": {
            "title": "约会",
            "caption": "约会",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AppointmentQuickCreate",
            "viewtag": "aa79d35850f36fbc1a5085353ecd5af5"
        },
        "listcontactinner": {
            "title": "营销列表-联系人表格视图",
            "caption": "联系人",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Marketing",
            "viewname": "ListContactInner",
            "viewtag": "aaa875342bd9286a39c2d193a150afc4"
        },
        "invoiceinfoview": {
            "title": "发票信息",
            "caption": "发票",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceInfoView",
            "viewtag": "ab653866ca40a1cefde21241ac5ba44c"
        },
        "opportunitycompetitorcompoppgridview": {
            "title": "竞争对手商机信息",
            "caption": "商机对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityCompetitorCompOppGridView",
            "viewtag": "ac5ea5e435a4102d39f1f4a569368b25"
        },
        "competitorinfo": {
            "title": "竞争对手信息",
            "caption": "竞争对手",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorInfo",
            "viewtag": "ad5b5579442b2a90900b62803059a029"
        },
        "quoteeditview": {
            "title": "报价单编辑视图",
            "caption": "报价单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteEditView",
            "viewtag": "ad6abf83dc1bc466b988194cd868d98a"
        },
        "productquickcreateview": {
            "title": "快速新建",
            "caption": "产品",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Product",
            "viewname": "ProductQuickCreateView",
            "viewtag": "afcf2380565ebffe4c3a23035c2e3b6e"
        },
        "contacteditbook": {
            "title": "联系人选项操作视图",
            "caption": "记账信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditBook",
            "viewtag": "b0007bebfa6db7831d4c97ad125506a5"
        },
        "ibizlistinfo": {
            "title": "市场营销列表",
            "caption": "市场营销列表",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListInfo",
            "viewtag": "b10964e86f6d70d588618c69fb4d6297"
        },
        "competitorpickupview": {
            "title": "竞争对手数据选择视图",
            "caption": "竞争对手",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorPickupView",
            "viewtag": "b153b539b40b2ff7a9d81b6c0329cf25"
        },
        "salesorderinvoicegridview": {
            "title": "订单信息",
            "caption": "订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderInvoiceGridView",
            "viewtag": "b309094aa6e14d4a487da270a1e0f5aa"
        },
        "productgridview": {
            "title": "产品信息",
            "caption": "产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductGridView",
            "viewtag": "b38bc0256ecd5be1a58a3c2210a98d05"
        },
        "knowledgearticlesummaryview": {
            "title": "知识文章数据看板视图",
            "caption": "知识文章",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "KnowledgeArticleSummaryView",
            "viewtag": "b3c480644c68d29d431273a2ad61423a"
        },
        "campaignresponseeditview": {
            "title": "市场活动响应编辑视图",
            "caption": "市场活动响应",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignResponseEditView",
            "viewtag": "b3cfac5362b3bfb70d1471932f120fa5"
        },
        "incidentchildincidentgridview": {
            "title": "子案例信息",
            "caption": "案例",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentChildIncidentGridView",
            "viewtag": "b41c9efc080f3313f71ab30676ec7d9d"
        },
        "campaignsummary": {
            "title": "市场活动概览",
            "caption": "市场活动概览",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignSummary",
            "viewtag": "b53373df8bf30a970e738602c7a83666"
        },
        "leaddashboardview": {
            "title": "潜在顾客数据看板视图",
            "caption": "潜在顾客",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadDashboardView",
            "viewtag": "b5ff54b0672efd3222a44d81f4e7362e"
        },
        "opportunitycompetitoredit_compoppview": {
            "title": "竞争对手商机信息",
            "caption": "商机对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityCompetitorEdit_CompOppView",
            "viewtag": "b697e75d9c2af9b203503e4c58c4ec51"
        },
        "contactpickupview": {
            "title": "联系人数据选择视图",
            "caption": "联系人",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "ContactPickupView",
            "viewtag": "b6b6215e439e78cdf6959b6f45bd7927"
        },
        "productsalesliteraturesallitproeditview": {
            "title": "宣传资料产品明细",
            "caption": "产品宣传资料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "ProductSalesLiteratureSalLitProEditView",
            "viewtag": "b87dd501aa922d2c6278451ca1282c53"
        },
        "productpickupview": {
            "title": "产品数据选择视图",
            "caption": "产品",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Product",
            "viewname": "ProductPickupView",
            "viewtag": "ba34ee36c1d0de288403607e17e7eb3e"
        },
        "activitypointerbyparentkey": {
            "title": "活动",
            "caption": "活动",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerByParentKey",
            "viewtag": "bae77557d2f7a7852b634dc5d5a93435"
        },
        "salesliteratureitemeditview": {
            "title": "销售附件编辑视图",
            "caption": "销售附件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureItemEditView",
            "viewtag": "bb5324c14c92a03092c9f6eae01eb908"
        },
        "quoteinfo": {
            "title": "报价单信息",
            "caption": "报价单信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteInfo",
            "viewtag": "bf670ca93d5a63c4feba5a3cc3de7a9c"
        },
        "leadinfo_detail": {
            "title": "潜在顾客编辑视图",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadInfo_Detail",
            "viewtag": "c0f2529b17654edda5f85a28635e353c"
        },
        "knowledgearticleinfo_klartview": {
            "title": "知识文章信息视图",
            "caption": "知识文章",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "KnowledgeArticleInfo_KlArtView",
            "viewtag": "c2aef858dbad7f779c97642ab7144137"
        },
        "opportunitycompetitoreditview": {
            "title": "商机对手编辑视图",
            "caption": "商机对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityCompetitorEditView",
            "viewtag": "c420212fae385872d6ae89e3d237350a"
        },
        "accountinfo_distribution": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo_Distribution",
            "viewtag": "c607e5bc2c07ab2aca084e275ce677b7"
        },
        "websitecontenteditview": {
            "title": "站点内容",
            "caption": "站点内容",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteContentEditView",
            "viewtag": "c711b39278eb48dac3c6f0195a69c109"
        },
        "opportunityinfo_product": {
            "title": "商机编辑视图",
            "caption": "商机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityInfo_Product",
            "viewtag": "c74c14188b89f72079643170a83c25f5"
        },
        "salesorderpickupgridview": {
            "title": "订单选择表格视图",
            "caption": "订单",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderPickupGridView",
            "viewtag": "c78a9fa4a75c9a957de0bacd4c0c911c"
        },
        "listcontacteditview": {
            "title": "营销列表-联系人编辑视图",
            "caption": "营销列表-联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "ListContactEditView",
            "viewtag": "c7d0ca0f6fa1b27bbd1b5c422d1a108d"
        },
        "transactioncurrencyeditview": {
            "title": "货币编辑视图",
            "caption": "货币",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "TransactionCurrencyEditView",
            "viewtag": "c933802c076d527d0bacfb5c4c47919c"
        },
        "goalquickcreateview": {
            "title": "快速新建",
            "caption": "目标",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalQuickCreateView",
            "viewtag": "cab8702dc3d6cc283eb40a1e07fa72ba"
        },
        "connectionrolepickupview": {
            "title": "连接角色数据选择视图",
            "caption": "连接角色",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Runtime",
            "viewname": "ConnectionRolePickupView",
            "viewtag": "cb6b4a9ddcaced093574bfde38b54723"
        },
        "goalchildgoalgridview": {
            "title": "子目标表格视图",
            "caption": "目标",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalChildGoalGridView",
            "viewtag": "cb7c18e9af4848f515ab84524fb234b2"
        },
        "opportunitywingridview": {
            "title": "商机信息",
            "caption": "商机信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityWinGridView",
            "viewtag": "cbd7a448bb018d9efebb4d1495507fa2"
        },
        "incidentinfo_incidentview": {
            "title": "案例信息",
            "caption": "案例",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentInfo_IncidentView",
            "viewtag": "d138851bb39f6334938bb634467dc3cc"
        },
        "quoteclosedgridview": {
            "title": "报价单信息",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteClosedGridView",
            "viewtag": "d163d3257bed7fbd8e2fa99bcc2abf32"
        },
        "competitorgridview": {
            "title": "竞争对手信息",
            "caption": "竞争对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorGridView",
            "viewtag": "d1c35f3c52010e1428d7dc1a6bc82f63"
        },
        "uompickupview": {
            "title": "计价单位数据选择视图",
            "caption": "计价单位",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "UomPickupView",
            "viewtag": "d3692664b9e2e150526e1ce4b969f15b"
        },
        "leadcompetitoreditview": {
            "title": "潜在客户对手编辑视图",
            "caption": "潜在客户对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadCompetitorEditView",
            "viewtag": "d43728f22dd85502c1f3c27e93878162"
        },
        "opportunitylostgridview": {
            "title": "商机信息",
            "caption": "商机信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityLostGridView",
            "viewtag": "d43a25ac94ca7cb20db961aae174ca53"
        },
        "leadcompetitorgridview": {
            "title": "潜在客户对手表格视图",
            "caption": "潜在客户对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadCompetitorGridView",
            "viewtag": "d5bc3dd94496dbc1549773a1647ca64d"
        },
        "campaigninfo": {
            "title": "市场活动信息",
            "caption": "市场活动",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignInfo",
            "viewtag": "d8b664607bd727900320b23da3fafaf2"
        },
        "transactioncurrencypickupview": {
            "title": "货币数据选择视图",
            "caption": "货币",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "TransactionCurrencyPickupView",
            "viewtag": "da3f8c1f20f440f3df54d6c13a8de586"
        },
        "opportunityedit_datepanelview": {
            "title": "头部信息编辑",
            "caption": "商机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityEdit_DatePanelView",
            "viewtag": "dd0334d4dac239bca7b007cb50d8b640"
        },
        "pricelevelpickupgridview": {
            "title": "价目表选择表格视图",
            "caption": "价目表",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "PriceLevelPickupGridView",
            "viewtag": "dd10cba0f2ded085120f7dc8eccc7c10"
        },
        "salesordergridview": {
            "title": "订单信息",
            "caption": "订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderGridView",
            "viewtag": "dfc0051ae4813115e03f3d095f8cd7d3"
        },
        "leadqualification": {
            "title": "授予资格",
            "caption": "授予资格",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadQualification",
            "viewtag": "e0705f7fd9afd10e3f38b1ff03edba8b"
        },
        "contactusablegridview": {
            "title": "联系人信息",
            "caption": "联系人信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactUsableGridView",
            "viewtag": "e09386cdc26ec75d235aeecf7b59bbca"
        },
        "invoicegridview": {
            "title": "发票信息",
            "caption": "发票",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceGridView",
            "viewtag": "e0aef8c0d1f1ae28f628a0541b118961"
        },
        "invoiceinfo_invoiceview": {
            "title": "发票编辑视图",
            "caption": "发票",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceInfo_InvoiceView",
            "viewtag": "e167550b61bf1bd019a8e522b8fccc21"
        },
        "quoteedit_datapanelview": {
            "title": "头部信息编辑",
            "caption": "报价单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteEdit_DataPanelView",
            "viewtag": "e1b0831107ec5781d66db9c0f32f016d"
        },
        "accountinfo_contactsetting": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo_ContactSetting",
            "viewtag": "e38e7b53a449e0f112cb545d2c5d4b85"
        },
        "contactquickcreate": {
            "title": "快速新建",
            "caption": "联系人",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactQuickCreate",
            "viewtag": "e404dc93e70d6284d4e1a083017625ed"
        },
        "accountedit_address": {
            "title": "地址信息",
            "caption": "地址信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEdit_Address",
            "viewtag": "e4335da0a7c14a65376eecaabb771fd7"
        },
        "salesliteraturequickcreateview": {
            "title": "快速新建",
            "caption": "销售宣传资料",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureQuickCreateView",
            "viewtag": "e45cd3d0a9959e1979243837b5dcfd2d"
        },
        "subjectpickupview": {
            "title": "主题数据选择视图",
            "caption": "主题",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "SubjectPickupView",
            "viewtag": "e52af970c14fd89546ac8ccaecab460c"
        },
        "websitecontentgridview": {
            "title": "站点内容",
            "caption": "站点内容",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteContentGridView",
            "viewtag": "e570e236f765ac29c3b0a54418996f01"
        },
        "salesorderinfo_soview": {
            "title": "订单编辑视图",
            "caption": "订单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderInfo_SOView",
            "viewtag": "e58ac89b5c246602406093577b77248f"
        },
        "campaignactivitygridview": {
            "title": "市场活动项目表格视图",
            "caption": "市场活动项目",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignActivityGridView",
            "viewtag": "e684325c8ad695314d3c960a16f25db7"
        },
        "contacteditperson": {
            "title": "联系人选项操作视图",
            "caption": "个人信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditPerson",
            "viewtag": "e7ed63c9b06815f5310c4fff23b93c8b"
        },
        "salesorderquickcreateview": {
            "title": "快速新建",
            "caption": "订单",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderQuickCreateView",
            "viewtag": "e9c822edbc51531e713b561101e783a6"
        },
        "transactioncurrencygridview": {
            "title": "货币",
            "caption": "货币",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "TransactionCurrencyGridView",
            "viewtag": "ef8908af79e7631a6292209fa498a899"
        },
        "accountpickupgridview": {
            "title": "客户选择表格视图",
            "caption": "客户",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountPickupGridView",
            "viewtag": "ef9fea872a6a21e7566033fafcc0ccb5"
        },
        "quotestatetabview": {
            "title": "报价单状态分页视图",
            "caption": "报价单",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteStateTabView",
            "viewtag": "efe82dc0a6991dd88da8c33cee6bf451"
        },
        "incidentinfoview": {
            "title": "服务案例信息",
            "caption": "案例",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentInfoView",
            "viewtag": "f440f1d3b950a89e6cb72cadea120b74"
        },
        "incidentsummaryview": {
            "title": "案例数据看板视图",
            "caption": "案例",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentSummaryView",
            "viewtag": "f6298e67a8fe2302b75813ca7f3ba94c"
        },
        "campaigninfo_schedule": {
            "title": "日程安排",
            "caption": "日程安排",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignInfo_Schedule",
            "viewtag": "f63525be2835a01da997d7f059efb09f"
        },
        "salesorderpickupview": {
            "title": "订单数据选择视图",
            "caption": "订单",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderPickupView",
            "viewtag": "f6f91153f3caa976cf7f552636f7e012"
        },
        "competitorproductcompprogridview": {
            "title": "竞争对手产品信息",
            "caption": "竞争对手产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorProductCompProGridView",
            "viewtag": "f83783341c365d6eb1d7385c9d1ddb95"
        },
        "taskeditview": {
            "title": "任务编辑视图",
            "caption": "任务",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "TaskEditView",
            "viewtag": "f84a705f33385d5999fcfb69124932d4"
        },
        "accountinfo_majorcontact": {
            "title": "客户编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo_MajorContact",
            "viewtag": "fb06f2c1cea1ac2a5a70c20f4a277ae5"
        },
        "competitoreditview": {
            "title": "竞争对手编辑视图",
            "caption": "竞争对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorEditView",
            "viewtag": "fc2117de593df9cc982bd802cbdb2154"
        },
        "contactinfo": {
            "title": "联系人信息",
            "caption": "联系人",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "ContactInfo",
            "viewtag": "fcdb236b65d78c4a8ae64e74f9483a63"
        },
        "salesorderdetailsoproductgridview": {
            "title": "订单产品表格视图",
            "caption": "订单产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderDetailSOProductGridView",
            "viewtag": "fed62991d8068c42d2544ad0a9b4820b"
        },
        "competitorsalesliteraturesallitcompeditview": {
            "title": "宣传资料竞争对手明细",
            "caption": "竞争对手宣传资料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorSalesLiteratureSalLitCompEditView",
            "viewtag": "ff4a84c8d487ea42d8f57d04f39ae023"
        }
    }];
});